コンテンツへスキップ

Kolors

統合

モデルID kolors
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kolors?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.035 35 APIクレジット このページで実行

APIキーを取得
Kuaishou テキストから画像 #realism#diffusion

フォトリアルな結果を目指すテキストから画像生成モデル。スケジューラー選択と 1 リクエストあたり最大 8 枚の画像に対応

Kuaishou · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

生成したい画像をできるだけ詳しく説明してください。最良の結果を得るには詳細な記述を使用します。

image_size デフォルト square_hd

生成画像の寸法。

num_images デフォルト 1

生成する画像の枚数。

詳細設定 negative_prompt · output_format · scheduler · guidance_scale · num_inference_steps · seed · enable_safety_checker
デフォルト

除外する画像の内容を指定するネガティブプロンプト。色、オブジェクト、景色、細部などを指定できます。例:口ひげ、ぼけ、低解像度。

output_format デフォルト png

結果の画像のファイル形式。

デフォルト EulerDiscreteScheduler

モデルの実行に使用するスケジューラー。

デフォルト 5

画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。

デフォルト 50

実行する推論ステップ数。

乱数生成シード。

POST /run/kolors?wait=20 見積もり → $0.035
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kolors?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Kolorsについて

テキストの `prompt` から画像を生成し、任意で `negative_prompt` を指定できます。`guidance_scale`(1 から 10)、`num_inference_steps`(1 から 150)を調整し、6 つの `scheduler` から選択できます。6 種類のプリセットサイズで 1 回の呼び出しあたり 1 から 8 枚の画像を png または jpeg で生成し、`seed` で再現性を確保できます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
生成したい画像をできるだけ詳しく説明してください。最良の結果を得るには詳細な記述を使用します。
negative_prompt任意
型string
デフォルト
除外する画像の内容を指定するネガティブプロンプト。色、オブジェクト、景色、細部などを指定できます。例:口ひげ、ぼけ、低解像度。
guidance_scale任意
型number
デフォルト5
1 – 10
画像選択におけるプロンプト準拠度。CFG(Classifier Free Guidance)として表します。
num_inference_steps任意
型integer
デフォルト50
1 – 150
実行する推論ステップ数。
seed任意
型integer | null
乱数生成シード。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックの切り替え。チェック対象となる場合、安全でない画像は黒い画像に置き換えられます。認証されていないリクエストではチェックが必須で、無効にできるのは認証済みアカウントのみです。
num_images任意 num_outputs
型integer
デフォルト1
1 – 8
生成する画像の枚数。
image_size任意
型object
デフォルトsquare_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成画像の寸法。
scheduler任意
型enum
デフォルトEulerDiscreteScheduler
EulerDiscreteSchedulerEulerAncestralDiscreteSchedulerDPMSolverMultistepSchedulerDPMSolverMultistepScheduler_SDE_karrasUniPCMultistepSchedulerDEISMultistepScheduler
モデルの実行に使用するスケジューラー。
output_format任意
型enum
デフォルトpng
jpegpng
結果の画像のファイル形式。
必須 正式名称(こちらも使用可能)

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kolors",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 35,
    "usd": "0.035",
    "charged": 35,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, width, height, content_type}生成画像のファイル情報。
timings
object
seed
integer画像生成シード。入力でシードを省略した場合はランダムに選ばれた値を含み、それ以外では指定値を繰り返します。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string画像生成時に使用するプロンプト。

その他のモデル: テキストから画像

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/kolors.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt